# $Revision: 1.36 $, $Date: 2011/09/16 12:49:17 $
%include	/usr/lib/rpm/macros.perl
Summary:	File copying over the Object Exchange (OBEX) protocol
Summary(pl.UTF-8):	Kopiowanie plików z wykorzystaniem protokołu Object Exchange (OBEX)
Name:		obexftp
Version:	0.23
Release:	7
License:	GPL v2+ (server, bindings), LGPL v2+ (libraries)
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/openobex/%{name}-%{version}.tar.bz2
# Source0-md5:	f20762061b68bc921e80be4aebc349eb
Patch0:		%{name}-no_server.patch
Patch1:		%{name}-perl.patch
Patch2:		%{name}-nostress.patch
Patch3:		%{name}-ruby1.9.patch
URL:		http://triq.net/obex/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bluez-libs-devel
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRequires:	openobex-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
BuildRequires:	tcl-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		skip_post_check_so	obexftp.so.0.0.0

%description
Free open source application for file copying over the Object Exchange
(OBEX) protocol.

%description -l pl.UTF-8
Wolnodostępna aplikacja służąca do kopiowania plików z wykorzystaniem
protokołu Object Exchange (OBEX).

%package libs
Summary:	ObexFTP libraries
Summary(pl.UTF-8):	Biblioteki ObexFTP
License:	LGPL v2+
Group:		Libraries

%description libs
ObexFTP libraries.

%description libs -l pl.UTF-8
Biblioteki ObexFTP.

%package devel
Summary:	Header files for ObexFTP
Summary(es.UTF-8):	Ficheros de cabecera para ObexFTP
Summary(pl.UTF-8):	Pliki nagłówkowe ObexFTP
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	bluez-libs-devel
Requires:	openobex-devel

%description devel
The header files are only needed for development of programs based on
ObexFTP.

%description devel -l pl.UTF-8
W pakiecie tym znajdują się pliki nagłówkowe, przeznaczone do
rozwijania programów bazujących na bibliotekach ObexFTP.

%package static
Summary:	Static ObexFTP library
Summary(es.UTF-8):	Biblioteca estática de ObexFTP
Summary(pl.UTF-8):	Biblioteka statyczna ObexFTP
License:	LGPL v2+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static ObexFTP library.

%description static -l pl.UTF-8
Biblioteka statyczna ObexFTP.

%package -n perl-obexftp
Summary:	Perl binding for ObexFTP library
Summary(pl.UTF-8):	Wiązanie Perla dla biblioteki ObexFTP
License:	GPL v2+
Group:		Development/Languages/Perl
Requires:	%{name}-libs = %{version}-%{release}

%description -n perl-obexftp
Perl binding for ObexFTP library.

%description -n perl-obexftp -l pl.UTF-8
Wiązanie Perla dla biblioteki ObexFTP.

%package -n python-obexftp
Summary:	Python binding for ObexFTP library
Summary(pl.UTF-8):	Wiązanie Pythona dla biblioteki ObexFTP
License:	GPL v2+
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-obexftp
Python binding for ObexFTP library.

%description -n python-obexftp -l pl.UTF-8
Wiązanie Pythona dla biblioteki ObexFTP.

%package -n ruby-obexftp
Summary:	Ruby binding for ObexFTP library
Summary(pl.UTF-8):	Wiązanie języka Ruby dla biblioteki ObexFTP
License:	GPL v2+
Group:		Development/Languages
Requires:	%{name}-libs = %{version}-%{release}
%{?ruby_mod_ver_requires_eq}

%description -n ruby-obexftp
Ruby binding for ObexFTP library.

%description -n ruby-obexftp -l pl.UTF-8
Wiązanie języka Ruby dla biblioteki ObexFTP.

%package -n tcl-obexftp
Summary:	Tcl binding for ObexFTP library
Summary(pl.UTF-8):	Wiązanie Tcl-a dla biblioteki ObexFTP
License:	GPL v2+
Group:		Development/Languages
Requires:	%{name}-libs = %{version}-%{release}
Requires:	tcl

%description -n tcl-obexftp
Tcl binding for ObexFTP library.

%description -n tcl-obexftp -l pl.UTF-8
Wiązanie Tcl-a dla biblioteki ObexFTP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# hack for -L/usr/%{_lib} before -L../../obexftp/.libs
ln -sf ../../obexftp/.libs/libobexftp.so swig/ruby

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/obexftp.{la,a}
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/OBEXFTP/.packlist
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	-n tcl-obexftp -p /sbin/ldconfig
%postun	-n tcl-obexftp -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc doc/obexftp*.html README* NEWS THANKS TODO AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/obexftp
%attr(755,root,root) %{_bindir}/obexftpd
%{_mandir}/man1/obexftp.1*
%{_mandir}/man1/obexftpd.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbfb.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libbfb.so.0
%attr(755,root,root) %{_libdir}/libmulticobex.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmulticobex.so.1
%attr(755,root,root) %{_libdir}/libobexftp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libobexftp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbfb.so
%attr(755,root,root) %{_libdir}/libmulticobex.so
%attr(755,root,root) %{_libdir}/libobexftp.so
%{_libdir}/libbfb.la
%{_libdir}/libmulticobex.la
%{_libdir}/libobexftp.la
%{_includedir}/bfb
%{_includedir}/multicobex
%{_includedir}/obexftp
%{_pkgconfigdir}/obexftp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libbfb.a
%{_libdir}/libmulticobex.a
%{_libdir}/libobexftp.a

%files -n perl-obexftp
%defattr(644,root,root,755)
%{perl_vendorarch}/OBEXFTP.pm
%dir %{perl_vendorarch}/auto/OBEXFTP
%attr(755,root,root) %{perl_vendorarch}/auto/OBEXFTP/OBEXFTP.so
%{perl_vendorarch}/auto/OBEXFTP/OBEXFTP.bs

%files -n python-obexftp
%defattr(644,root,root,755)
%dir %{py_sitedir}/obexftp
%attr(755,root,root) %{py_sitedir}/obexftp/_obexftp.so
%{py_sitedir}/obexftp/__init__.py[co]
%{py_sitedir}/obexftp-*.egg-info

%files -n ruby-obexftp
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_sitearchdir}/obexftp.so

%files -n tcl-obexftp
%defattr(644,root,root,755)
# -avoid-version missing
%attr(755,root,root) %{_libdir}/obexftp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/obexftp.so.0
%attr(755,root,root) %{_libdir}/obexftp.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: obexftp.spec,v $
Revision 1.36  2011/09/16 12:49:17  arekm
- release 7

Revision 1.35  2011/09/09 18:43:17  arekm
- release 6

Revision 1.34  2010/11/25 11:12:54  hawk
- added skip_post_check_so to allow build

Revision 1.33  2010/11/15 10:17:31  pawelz
- release 4

Revision 1.32  2010/07/09 11:20:19  arekm
- release 3

Revision 1.31  2010/06/06 13:35:36  arekm
- release 2

Revision 1.30  2010/05/12 21:19:48  sparky
- BR: gettext-devel

Revision 1.29  2010/03/02 13:43:36  baggins
- fix building with ruby 1.9

Revision 1.28  2010/03/02 13:17:44  baggins
- updated to 0.23

Revision 1.27  2009/03/14 12:08:56  hawk
- release 4

Revision 1.26  2009/02/04 13:18:34  hawk
- release 3

Revision 1.25  2008/10/11 15:45:31  wolvverine
- rel.2

Revision 1.24  2008/09/01 18:09:55  qboosh
- updated to 0.22
- updated perl,nostress patches, removed obsolete link,py-m4 patches
- package new ruby and tcl bindings
- libs license is LGPL (v2+)

Revision 1.23  2008/08/31 17:01:39  arekm
- release 5

Revision 1.22  2008-02-24 23:51:17  glen
- release 4

Revision 1.21  2007-05-28 11:44:53  shadzik
- fix build on actual TH
- rel 3

Revision 1.20  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.18  2006/11/30 16:49:30  glen
- rel 2

Revision 1.17  2006/10/23 23:33:41  glen
- add -py-m4.patch existing script scanned whole /usr/lib to find lib from /usr/lib

Revision 1.16  2006/09/10 11:28:08  qboosh
- devel deps

Revision 1.15  2006/09/10 11:15:00  qboosh
- added link,perl patches, killed as-needed filterout
- build perl and python bindings

Revision 1.14  2006/09/10 07:54:40  qboosh
- unified sf URL

Revision 1.13  2006/08/27 14:26:16  japhy
- Fix typo in Source0:, STBR.

Revision 1.12  2006/08/27 14:19:52  japhy
- Up to 0.20, new download site
- Dropped obsolete Patch1
- Filter out --as-needed

Revision 1.11  2006/08/27 10:38:00  arekm
- rebuild with new bluez-libs

Revision 1.10  2005/09/24 12:25:27  darekr
- strict deps

Revision 1.9  2005/09/24 12:05:44  blues
- libs subpackage needs ldconfig

Revision 1.8  2005/09/24 06:02:14  aredridel
- fix pl desc

Revision 1.7  2005/09/23 20:51:27  blues
- strict requires

Revision 1.6  2005/09/23 20:45:24  blues
- release 2 - include_uuid patch - include uuid.h, rebuild with bluetooth
  support.

Revision 1.5  2005/09/23 19:48:01  blues
- 0.10.7

Revision 1.4  2003/11/30 11:21:32  qboosh
- md5, BR: ac,am,lt

Revision 1.3  2003/11/30 00:59:33  ankry
- pl

Revision 1.2  2003/11/28 20:07:38  jajcus
- adapterized

Revision 1.1  2003/11/28 20:06:39  jajcus
- new spec (/me has got new phone :) )
